export declare type StartonTableOrder = 'asc' | 'desc';
export declare function descendingComparator<T>(a: T, b: T, orderBy: keyof T): 1 | -1 | 0;
export declare function getComparator<Key extends keyof never>(order: StartonTableOrder, orderBy: Key): (a: {
    [key in Key]: number | string;
}, b: {
    [key in Key]: number | string;
}) => number;
export declare function getComparatorEntries<Key extends keyof never>(order: StartonTableOrder, orderBy: Key): (a: {
    [key in Key]: number | string;
}, b: {
    [key in Key]: number | string;
}) => number;
export declare function stableSort<T>(entries: Array<[string, T]>, comparator: (a: T, b: T) => number): T[];
